void main( void )
{
}

void hit( void )
{
 say("给你看看我的政治是什么样的！", 1);
}

void talk( void )
{
 if (&mayor == 2)
 {
 freeze(1);
 freeze(&current_sprite);
 choice_start()
 "打招呼"
 "告诉他袭击的事"
 "离开"
 choice_end()
  if (&result == 1)
  {
   wait(400);
   say_stop("市长先生，你好，不错的小镇嘛。", 1);
   wait(250);
   say_stop("`5谢谢你，我的好公民。", &current_sprite);
  }
  if (&result == 2)
  {
   //Playmidi("Urgent.mid");
   wait(400);
   say_stop("市长，我有紧急情报，这个镇要被人袭击了！", 1);
   wait(250);
   say_stop("`5哪泥？！这怎么可能？你不是在开玩笑吧！", &current_sprite);
   wait(250);
   say_stop("才不，我是非常严肃的。是 Cast 骑士要来袭击。", 1);
   wait(250);
   say_stop("他们准备在大游行期间进攻。", 1);
   wait(250);
   say_stop("`5那太疯狂了！！...很多人会受伤的。", &current_sprite);
   wait(250);
   say_stop("所以你才更要相信我啊。", 1);
   wait(250);
   say_stop("在水泉旁的女孩子告诉我你认识皇家护卫。", 1);
   wait(250);
   say_stop("`5你见过我女儿了？", &current_sprite);
   wait(250);
   say_stop("她是你女儿？单身吗？",1);
   wait(250);
   say_stop("`5你说什么？", &current_sprite);
   wait(250);
   say_stop("没，没什么。那你是认识人的对吧？", 1);
   wait(250);
   say_stop("`5他们确实可以帮忙。", &current_sprite);
   wait(250);
   say_stop("`5但我不能就这么随便叫他们来啊。", &current_sprite);
   wait(250);
   say_stop("好，那如果我带来证据的话就行了？", 1);
   wait(250);
   say_stop("`5是的，没证据的话，我也无能为力。", &current_sprite);
   wait(250);
   &mayor = 3;
   say_stop("那好，我这就去取。", 1);
  }
 unfreeze(1);
 unfreeze(&current_sprite);
 return;
 }
 if (&mayor == 3)
 {
 freeze(1);
 freeze(&current_sprite);
 choice_start()
 "打招呼"
 "给他看证据"
 "离开"
 choice_end()
  if (&result == 1)
  {
   wait(400);
   say_stop("市长先生，你好，不错的小镇嘛。", 1);
   wait(250);
   say_stop("`5谢谢你，我的好公民。", &current_sprite);
  }
  if (&result == 2)
  {
   wait(400);
   say_stop("我终于找到你需要的证据了！", 1);
   wait(250);
   //Check to see if he did
   say_stop("`5瞎说！你个骗子！", &current_sprite);
   wait(250);
   say_stop("额，啊哈哈。我闪", 1);
  }
 unfreeze(1);
 unfreeze(&current_sprite);
 }
 if (&mayor == 4)
 {
 freeze(1);
 freeze(&current_sprite);
 choice_start()
 "打招呼"
 "给他看带进攻计划的卷轴"
 "离开"
 choice_end()
  if (&result == 1)
  {
   wait(400);
   say_stop("你好啊市长先生，一切可好？", 1);
   wait(250);
   say_stop("`5还不错，还不错啊。", &current_sprite);
   wait(250);
   say_stop("天啊，市长一点都不紧张。", 1);
  }
  if (&result == 2)
  {
   wait(400);
   say_stop("市长先生，我带来了您要的证据。", 1);
   wait(250);
   say_stop("他们要屠杀整个小镇。", 1);
   wait(250);
   say_stop("`5太惊人了，这可以一下摧毁我们所有的防御！", &current_sprite);
   wait(250);
   say_stop("`5真难以想象他们会就这么攻击我们。", &current_sprite);
   wait(250);
   say_stop("那现在你能找护卫了吗？", 1);
   wait(250);
   say_stop("`5是的是的，我只希望还来得及...", &current_sprite);
   &mayor = 5;
   wait(500);
   script_attach(1000);
   //fadeout & cutscene?
   fade_down();
   //change maps and stuff ...
   &player_map = 586;
   sp_x(1, 266);
   sp_y(1, 80);
   load_screen();
   draw_screen();
   draw_status();
   fade_up();
   kill_this_task();
   //Done
  }
 unfreeze(1);
 unfreeze(&current_sprite);
 }
}
